### Function

# Gimp file_get_config_path

since: 2.10

#### Declaration [src]

    gchar*
    gimp_file_get_config_path (
      GFile* file,
      GError** error
    )

#### Description [src]

Unexpands `file`‘s path using `gimp_config_path_unexpand()` and returns the unexpanded path.

The inverse operation of gimp_file_new_for_config_path().

Available since: 2.10

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A newly allocated NUL-terminated UTF-8 string, or `NULL` if unexpanding failed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.